Bug 213405 - usermod doesn't handle "-a" option correctly
usermod doesn't handle "-a" option correctly
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: shadow-utils (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Vrabec
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-01 06:18 EST by Peter Vrabec
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: beta2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-22 20:56:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Vrabec 2006-11-01 06:18:24 EST
Description of problem:
usermod doesn't handle "-a" option correctly. This bug is regression 
introduced by upstream.

Version-Release number of selected component (if applicable):
shadow-utils-4.0.17-7.el5

How reproducible:
usermod -a -G wheel peter

Additional info:
bug is already fixed in upstream and FC-6.
http://cvs.pld.org.pl/shadow/src/usermod.c?r1=1.69&r2=1.70
Comment 1 RHEL Product and Program Management 2006-11-01 06:40:20 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 RHEL Product and Program Management 2006-12-22 20:56:03 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.

Note You need to log in before you can comment on or make changes to this bug.